import { Router } from 'express'

import adminWorkerPlatformConfigRoutes from './worker-platform/config.js'
import adminWorkerPlatformWorkersRoutes from './worker-platform/workers.js'
import adminWorkerPlatformFinanceRoutes from './worker-platform/finance.js'
import adminWorkerPlatformOrdersRoutes from './worker-platform/orders.js'
import adminWorkerPlatformReviewRoutes from './worker-platform/review.js'
import adminWorkerPlatformAcceptanceRoutes from './worker-platform/acceptance.js'
import adminWorkerPlatformAfterSalesRoutes from './worker-platform/after-sales.js'
import adminWorkerPlatformLeaderboardRoutes from './worker-platform/leaderboard.js'

const router = Router()

router.use(adminWorkerPlatformConfigRoutes)
router.use(adminWorkerPlatformWorkersRoutes)
router.use(adminWorkerPlatformFinanceRoutes)
router.use(adminWorkerPlatformOrdersRoutes)
router.use(adminWorkerPlatformReviewRoutes)
router.use(adminWorkerPlatformAfterSalesRoutes)
router.use(adminWorkerPlatformAcceptanceRoutes)
router.use(adminWorkerPlatformLeaderboardRoutes)

export default router
